Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.pipeline.controller
Class PipelineProcessor

`java.lang.Object
oracle.xml.pipeline.controller.PipelineProcessor`

All Implemented Interfaces:
  PipelineConstants

      public class PipelineProcessor

extends java.lang.Object
implements PipelineConstants

The top level class which executes the pipeline.

Field Summary

Fields inherited from interface oracle.xml.pipeline.controller.PipelineConstants
`COMPSTREAMRESULT, COMPSTREAMSOURCE, DOCFRAG, DOCUMENT, DOMRESULT, DOMSOURCE, ELEMENT, PROCESS_WAITING, SAXRESULT, SAXSOURCE, STREAMRESULT, STREAMSOURCE`

Constructor Summary
`PipelineProcessor()`

Method Summary
`void` `executePipeline()` Execute the pipeline based on the PipelineDoc set earlier by setPipelineDoc().
`int` `getExecutionMode()` Get the type of execution mode
`boolean` `isForceSpecified()` Has force been specified for pipeline execution
`void` `setErrorHandler(PipelineErrorHandler e)` Set the error handler for the pipeline.
`void` `setExecutionMode(int m)` Set the type of execution mode, default is parallel.
`void` `setForce(boolean f)` If force is specified, then the pipeline will always execute, regardless of whether the target is up-to-date with respect to the pipeline inputs.
`void` `setPipelineDoc(PipelineDoc doc)` Set the PipelineDoc object for the pipeline process to process

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipelineProcessor

    public PipelineProcessor()

Method Detail

### setPipelineDoc

    public void setPipelineDoc(PipelineDoc doc)

  Set the PipelineDoc object for the pipeline process to process
  Parameters:
    `PipelineDoc` - to be processed

### setErrorHandler

    public void setErrorHandler(PipelineErrorHandler e)

  Set the error handler for the pipeline. This is mandatory to execute the pipeline.
  Parameters:
    `e` - - error handler conforming to the PipelineErrorHandler interface

### setExecutionMode

    public void setExecutionMode(int m)

  Set the type of execution mode, default is parallel.
  Parameters:
    `m` - - execution mode can be PIPELINE_SEQUENTIAL, PIPELINE_PARALLEL

### getExecutionMode

    public int getExecutionMode()

  Get the type of execution mode
  Returns:
    - execution mode can be PIPELINE_SEQUENTIAL, PIPELINE_PARALLEL

### setForce

    public void setForce(boolean f)

  If force is specified, then the pipeline will always execute, regardless of whether the target is up-to-date with respect to the pipeline inputs.
  Parameters:
    `boolean` - true or false

### isForceSpecified

    public boolean isForceSpecified()

  Has force been specified for pipeline execution
  Returns:
    boolean - true if force is specified otherwise false

### executePipeline

    public void executePipeline()
                         throws java.net.MalformedURLException,
                                PipelineException,
                                java.lang.InterruptedException

  Execute the pipeline based on the PipelineDoc set earlier by setPipelineDoc().
  Throws:
    `java.net.MalformedURLException`
    `PipelineException`
    `java.lang.InterruptedException` - thrown by threads in parallel execution

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.